Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class StructureReferenceValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractPropertyValidator
              org.eclipse.birt.report.model.api.validators.StructureReferenceValidator

    public class StructureReferenceValidator

extends org.eclipse.birt.report.model.validators.AbstractPropertyValidator

Validates the property whose type is structure reference. If the value can refer to an actual structure, it will be resolved after validation. The rule is that the structure reference value should refer to an actual structure in the same report design.

Field Summary
`static java.lang.String` | `NAME` Name of this validator.

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`StructureReferenceValidator()`

Method Summary
`static StructureReferenceValidator` | `getInstance()` Returns the singleton validator instance.
`java.util.List` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, java.lang.String propName)` Validates the structure reference value can refer to an actual structure.

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

  Name of this validator.

  See Also:
    Constant Field Values

Constructor Detail

### StructureReferenceValidator

    public StructureReferenceValidator()

Method Detail

### getInstance

    public static StructureReferenceValidator getInstance()

  Returns the singleton validator instance.

  Returns:
    the validator instance

### validate

    public java.util.List validate(org.eclipse.birt.report.model.core.Module module,
                                   org.eclipse.birt.report.model.core.DesignElement element,
                                   java.lang.String propName)

  Validates the structure reference value can refer to an actual structure.

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractPropertyValidator`
  Parameters:
    `module` - the module
    `element` - the element holding the structure reference property
    `propName` - the name of the structure reference property
  Returns:
    error list, each of which is the instance of `SemanticException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.